Skip to main content
PATCH
/
project-invoice-milestones
/
{id}
Update a project invoice milestone
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/project-invoice-milestones/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "typeId": "custom",
  "date": "2023-12-25",
  "quantity": 123,
  "rate": 123,
  "fee": 123,
  "name": "<string>",
  "invoiceItemId": "<string>"
}
'
{
  "id": "a8b2c4d6-3e1f-4a9b-8c7d-f5e2a1b9c6d3",
  "typeId": "recurring",
  "date": "2026-07-31",
  "quantity": 10,
  "rate": 2650,
  "fee": 26500,
  "name": "Monthly Services - July 2026",
  "createdAt": "2026-02-25T17:42:21.203Z",
  "project": {
    "id": "d077258e-2158-4f34-aabd-97e971d0c18d",
    "name": "Cloud Infrastructure Services",
    "client": {
      "id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
      "name": "Paul's Boutique"
    }
  },
  "invoiceItem": {
    "id": "aba04832-216c-463e-8998-c520948f707c",
    "name": "Consulting Services"
  },
  "invoiced": false
}
Scheduled invoicing for a fixed fee project. This is only available for projects that have a billing type of “fixed” or “fixed_recurring”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project invoice milestone uuid

Body

application/json
typeId
enum<string>

The type of invoice milestone. Identifies whether the milestone is one-off ("custom", the default) or recurring ("recurring").

Available options:
custom,
recurring
date
string<date>

The date of the milestone. Must be in the form YYYY-MM-DD.

quantity
number | null

The quantity for calculating the fee. Required when rate is provided.

rate
number | null

The rate for calculating the fee. Required when quantity is provided.

fee
number

The total amount for the milestone. Required when quantity and rate are not provided.

name
string

The name of the milestone (max 255 chars).

invoiceItemId
string

The invoice item ID (uuid) for this milestone.

Response

200

id
string

The unique identifier for the object.

typeId
enum<string>

The type of invoice milestone. Identifies whether the milestone is one-off ("custom", the default) or recurring ("recurring").

Available options:
custom,
recurring
date
string<date>

The date of the milestone. Will be in the form YYYY-MM-DD.

quantity
number | null

The quantity used to calculate the fee.

rate
number | null

The rate used to calculate the fee.

fee
number

The total amount for the milestone.

name
string

The name of the milestone.

createdAt
string<date-time>

The timestamp when the object was created.

project
object

The project this milestone belongs to.

invoiceItem
object

The invoice item associated with this milestone.

invoiced
boolean

Whether the milestone has been invoiced.